import React from 'react';
export interface Auth0ProviderOptions {
    children: React.ReactChildren;
    clientId: string;
    redirectUri: string;
    onRedirecting?: () => React.Component;
    onRedirectCallback?: (appState: any) => void;
    onError?: (error: Error) => void;
    /**
     * Any other setting you want to send to the Auth0 SPA SDK.
     */
    [key: string]: any;
}
export default function Auth0Provider({ children, clientId, redirectUri, onRedirecting, onRedirectCallback, onError, ...props }: Auth0ProviderOptions): JSX.Element;
