"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const query_string_1 = require("query-string");
const react_1 = tslib_1.__importStar(require("react"));
const use_auth0_1 = tslib_1.__importDefault(require("./use-auth0"));
function requireLogin(ChildComponent) {
    return (_a) => {
        var { children, path } = _a, rest = tslib_1.__rest(_a, ["children", "path"]);
        const { isLoading, isAuthenticated, login, onRedirecting } = use_auth0_1.default();
        react_1.useEffect(() => {
            if (isLoading || isAuthenticated) {
                return;
            }
            login({
                appState: {
                    returnTo: { pathname: window.location.pathname, query: query_string_1.parse(window.location.search) }
                }
            });
        }, [isLoading, isAuthenticated, login, path]);
        return isAuthenticated === true ? (react_1.default.createElement(ChildComponent, Object.assign({}, rest))) : ((onRedirecting && onRedirecting()) || null);
    };
}
exports.default = requireLogin;
//# sourceMappingURL=require-login.js.map